import { Layout } from 'antd';
import { ReactNode } from 'react';
import { Content } from 'antd/es/layout/layout';

interface AdminLayoutProps {
  children: ReactNode;
}

export default function AdminLayout(props: AdminLayoutProps) {
  const { children } = props;

  return (
    <Layout>
      <Layout
        style={{
          maxWidth: '100vw',
          overflowX: 'hidden',
        }}
      >
        <Content style={{ overflow: 'initial', background: '#fff', padding: 10 }}>{children}</Content>
      </Layout>
    </Layout>
  );
}
